Upgrade Offer for Registered Users

Version 2.7.1 of Script Timer is a free upgrade for registered users of version 2.0 and higher. Please note that your Macintosh must have an Intel Core Duo or later processor. Version 2.6.3 will run on older Intel-based Macs, and is available. Please contact us if you need a copy.

Script Timer 1.x users who registered before 2004 July 28 are eligible for a free upgrade to version 2.7.1. (Registration codes for 1.x versions of Script Timer are not valid for the newer version. Registered version 1.x users should contact us to obtain a new registration code.)